Free form text on the details; can be blank
The details for the cancellation; only present when state is canceled
The state helps convey where the verification request is in the Truework process. It will be returned in the JSON objects returned from this endpoint.
The initial state of all Schemas is pending-approval, and will switch to processing once Truework begins to process the request. However, it may switch back to pending-approval if it is pending approval by the target.
The states completed, canceled, invalid are all terminal states of a Verification. A Report is only available when it is in the completed state. A Verification will enter the state canceled when either Truework or an API user cancels the request. The invalid state indicates that there are issues with the data e.g. we could not locate the employee at a given employer, or could not find the employer itself.
We use data from thousands of verification requests to estimate the duration between creation and completion of a request. For a provided company, upper_bound and lower_bound are the time estimates (in hours) that this particular request will take to be fully processed by Truework. May be an empty if an estimate does not exist for the verification request.
Bearer tokens conform to the RFC6750 spec.
Production API keys (secret keys) are prefixed with tw_sk_ and sandbox keys are prefixed with tw_sk_test_. If your secret key is published, you should rotate your API keys.
Truework.JS publishable keys are prefixed with tw_pk_ and tw_pk_test respectively.
Examples
Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1betoken field, input only the token itself, omitting Bearer .For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures